This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1478288 - (CVE-2017-12133) CVE-2017-12133 glibc: Use-after-free read access in clntudp_call in sunrpc
CVE-2017-12133 glibc: Use-after-free read access in clntudp_call in sunrpc
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170208,reported=2...
: Security
Depends On: 1478289
Blocks: 1478293
  Show dependency treegraph
 
Reported: 2017-08-04 04:18 EDT by Adam Mariš
Modified: 2017-08-18 05:48 EDT (History)
12 users (show)

See Also:
Fixed In Version: glibc 2.26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-18 05:23:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-04 04:18:03 EDT
CVE-2016-4429 fix introduced a use-after-free vulnerability in clntudp_call of sunrpc.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21115

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=d42eed4a044e5e10dfb885cf9891c2518a72a491
Comment 1 Adam Mariš 2017-08-04 04:18:32 EDT
Created glibc tracking bugs for this issue:

Affects: fedora-all [bug 1478289]
Comment 2 Huzaifa S. Sidhpurwala 2017-08-18 05:22:07 EDT
Statement:

This issue does not affect the versions of gcc compiler shipped with Red Hat Enterprise Linux, because The patch for CVE-2016-4429 was not backported for those versions of glibc.

Note You need to log in before you can comment on or make changes to this bug.